Bug 1653627 - [abrt] cinnamon: on_setting_changed(): cs_panel.py:409:on_setting_changed:TypeError: Argument 1 does not allow None as a value
Summary: [abrt] cinnamon: on_setting_changed(): cs_panel.py:409:on_setting_changed:Typ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d102980b48288cb4bdc7b61b015...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 10:18 UTC by Duncan Grisby
Modified: 2019-11-27 23:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:12:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.80 KB, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details
File: cgroup (345 bytes, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details
File: cpuinfo (1007 bytes, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details
File: environ (3.80 KB, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details
File: mountinfo (3.46 KB, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details
File: namespaces (129 bytes, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details
File: open_fds (1.15 KB, text/plain)
2018-11-27 10:18 UTC, Duncan Grisby
no flags Details

Description Duncan Grisby 2018-11-27 10:18:25 UTC
Description of problem:
Clicked on Panel settings.

Version-Release number of selected component:
cinnamon-4.0.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py desktop
crash_function: on_setting_changed
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.3-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cs_panel.py:409:on_setting_changed:TypeError: Argument 1 does not allow None as a value

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py", line 549, in button_press
    self.side_view_nav(widget, None, category)
  File "/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py", line 118, in side_view_nav
    self.go_to_sidepage(cat, filtered_path)
  File "/usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py", line 132, in go_to_sidepage
    sidePage.build()
  File "/usr/share/cinnamon/cinnamon-settings/bin/SettingsWidgets.py", line 123, in build
    self.module.on_module_selected()
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_panel.py", line 164, in on_module_selected
    self.on_panel_list_changed()
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_panel.py", line 243, in on_panel_list_changed
    panel_page = PanelSettingsPage(panel_id, self.settings, position)
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_panel.py", line 57, in __init__
    widget = PanelSpinButton(_("Hide delay"), "org.cinnamon", "panels-hide-delay", self.panel_id, _("milliseconds"), 0, 2000, 50, 200)#, dep_key="org.cinnamon/panels-autohide")
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_panel.py", line 393, in __init__
    self.connect_to_settings(schema, key)
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_panel.py", line 329, in connect_to_settings
    self.on_setting_changed()
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_panel.py", line 409, in on_setting_changed
    self.content_widget.set_value(value)
TypeError: Argument 1 does not allow None as a value

Local variables in innermost frame:
self: <cs_panel.PanelSpinButton object at 0x7fde699aebd0 (cs_panel+PanelSpinButton at 0x557e0333c2f0)>
args: ()
value: None

Comment 1 Duncan Grisby 2018-11-27 10:18:30 UTC
Created attachment 1508784 [details]
File: backtrace

Comment 2 Duncan Grisby 2018-11-27 10:18:33 UTC
Created attachment 1508785 [details]
File: cgroup

Comment 3 Duncan Grisby 2018-11-27 10:18:34 UTC
Created attachment 1508786 [details]
File: cpuinfo

Comment 4 Duncan Grisby 2018-11-27 10:18:35 UTC
Created attachment 1508787 [details]
File: environ

Comment 5 Duncan Grisby 2018-11-27 10:18:37 UTC
Created attachment 1508788 [details]
File: mountinfo

Comment 6 Duncan Grisby 2018-11-27 10:18:38 UTC
Created attachment 1508789 [details]
File: namespaces

Comment 7 Duncan Grisby 2018-11-27 10:18:39 UTC
Created attachment 1508790 [details]
File: open_fds

Comment 8 Kevin L. Mitchell 2019-08-12 18:03:56 UTC
I confirm this occurs on Fedora 30 as well.

Comment 9 Kevin L. Mitchell 2019-08-12 18:10:39 UTC
Found a cause and solution: it appears there's been an update to the underlying software, and old configuration data is breaking it.  Do `gsettings get org.cinnamon panels-hide-delay`; on my system, where I have 2 panels set up, only one value is printed out (`['1:0']`).  Fixing it for me was as simple as doing `gsettings set org.cinnamon panels-hide-delay "['1:0','2:0']"`.  See https://github.com/linuxmint/Cinnamon/issues/6692 for more information.

Comment 10 Ben Cotton 2019-10-31 18:57:46 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-11-27 23:12:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.